<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
	
  case 'getRepresentantes':
		$con = Conexion::getConexion();
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres FROM cr_mercado_representante  mere
	    		left join cr_colaborador co on co.IdColaborador = mere.IdColaborador
	    		WHERE IdMercado='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getRepresentantexSucursal':
		$con = Conexion::getConexion();
		$IdSucursal = $value;
	
		//Buscar el padre
		
		$sql = "SELECT idadministrador
				FROM cr_sucursal
	    		WHERE IdSucursal='".$IdSucursal."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $idadministrador = $o_ClienteBean->idadministrador;
		    }
		  }
		  		
		
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM cr_colaborador co 
	    		WHERE IdPadre='".$idadministrador."'
	    		AND eliminado = '0';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;	
  case 'name' :
    
    switch ($typeFind){
      case 'doc':
        $o_ObjectBean = new DocenteBean();
        $o_ObjectBean->setCodigoDocente($value);
        $o_class = new DocenteBL();
        $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);
        
        if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'alm':
        $o_ObjectBean = new AlumnoBean();
        $o_ObjectBean->setCodigoAlumno($value);
        $o_class = new AlumnoBL();
        $a_ObjectBean = $o_class->busquedaAlumno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'ext':
        $o_ObjectBean = new ExternoBean();
        $o_ObjectBean->setCodigo($value);
        $o_class = new ExternoBL();
        $a_ObjectBean = $o_class->busquedaExterno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el c�digo : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
        
      break;
    }
    
    $scadena = utilJson::generateJsonElment($tmp);
    
    header("X-JSON: ".$scadena);
    
  break;
  
}

?>